Get label rates for an order
curl --request POST \
--url https://api.replo.app/v1/orders/{orderId}/label-rates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Replo-Api-Version: <replo-api-version>' \
--data '
{
"items": [
{
"orderItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123
}
],
"shippingPackageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"weightGrams": 123,
"options": {
"signature": "none",
"insuranceAmount": null,
"saturdayDelivery": false
}
}
'import requests
url = "https://api.replo.app/v1/orders/{orderId}/label-rates"
payload = {
"items": [
{
"orderItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123
}
],
"shippingPackageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"weightGrams": 123,
"options": {
"signature": "none",
"insuranceAmount": None,
"saturdayDelivery": False
}
}
headers = {
"Replo-Api-Version": "<replo-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Replo-Api-Version': '<replo-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
items: [{orderItemId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', quantity: 123}],
shippingPackageId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
weightGrams: 123,
options: {signature: 'none', insuranceAmount: null, saturdayDelivery: false}
})
};
fetch('https://api.replo.app/v1/orders/{orderId}/label-rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replo.app/v1/orders/{orderId}/label-rates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'items' => [
[
'orderItemId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'quantity' => 123
]
],
'shippingPackageId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'weightGrams' => 123,
'options' => [
'signature' => 'none',
'insuranceAmount' => null,
'saturdayDelivery' => false
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Replo-Api-Version: <replo-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.replo.app/v1/orders/{orderId}/label-rates"
payload := strings.NewReader("{\n \"items\": [\n {\n \"orderItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quantity\": 123\n }\n ],\n \"shippingPackageId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"weightGrams\": 123,\n \"options\": {\n \"signature\": \"none\",\n \"insuranceAmount\": null,\n \"saturdayDelivery\": false\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Replo-Api-Version", "<replo-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.replo.app/v1/orders/{orderId}/label-rates")
.header("Replo-Api-Version", "<replo-api-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"items\": [\n {\n \"orderItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quantity\": 123\n }\n ],\n \"shippingPackageId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"weightGrams\": 123,\n \"options\": {\n \"signature\": \"none\",\n \"insuranceAmount\": null,\n \"saturdayDelivery\": false\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replo.app/v1/orders/{orderId}/label-rates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Replo-Api-Version"] = '<replo-api-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"items\": [\n {\n \"orderItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quantity\": 123\n }\n ],\n \"shippingPackageId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"weightGrams\": 123,\n \"options\": {\n \"signature\": \"none\",\n \"insuranceAmount\": null,\n \"saturdayDelivery\": false\n }\n}"
response = http.request(request)
puts response.read_body{
"object": "label_rates",
"shipmentId": "<string>",
"data": [
{
"id": "<string>",
"carrier": "<string>",
"service": "<string>",
"name": "<string>",
"amount": 123,
"currencyCode": "<string>",
"deliveryDays": 123,
"estimatedDeliveryAt": "<string>",
"isBuyerChoice": true
}
],
"messages": [
"<string>"
],
"needsCustoms": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}Shipping-labels
Get label rates for an order
Beta — this endpoint may change before general availability.
POST
/
orders
/
{orderId}
/
label-rates
Get label rates for an order
curl --request POST \
--url https://api.replo.app/v1/orders/{orderId}/label-rates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Replo-Api-Version: <replo-api-version>' \
--data '
{
"items": [
{
"orderItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123
}
],
"shippingPackageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"weightGrams": 123,
"options": {
"signature": "none",
"insuranceAmount": null,
"saturdayDelivery": false
}
}
'import requests
url = "https://api.replo.app/v1/orders/{orderId}/label-rates"
payload = {
"items": [
{
"orderItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123
}
],
"shippingPackageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"weightGrams": 123,
"options": {
"signature": "none",
"insuranceAmount": None,
"saturdayDelivery": False
}
}
headers = {
"Replo-Api-Version": "<replo-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Replo-Api-Version': '<replo-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
items: [{orderItemId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', quantity: 123}],
shippingPackageId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
weightGrams: 123,
options: {signature: 'none', insuranceAmount: null, saturdayDelivery: false}
})
};
fetch('https://api.replo.app/v1/orders/{orderId}/label-rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replo.app/v1/orders/{orderId}/label-rates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'items' => [
[
'orderItemId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'quantity' => 123
]
],
'shippingPackageId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'weightGrams' => 123,
'options' => [
'signature' => 'none',
'insuranceAmount' => null,
'saturdayDelivery' => false
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Replo-Api-Version: <replo-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.replo.app/v1/orders/{orderId}/label-rates"
payload := strings.NewReader("{\n \"items\": [\n {\n \"orderItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quantity\": 123\n }\n ],\n \"shippingPackageId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"weightGrams\": 123,\n \"options\": {\n \"signature\": \"none\",\n \"insuranceAmount\": null,\n \"saturdayDelivery\": false\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Replo-Api-Version", "<replo-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.replo.app/v1/orders/{orderId}/label-rates")
.header("Replo-Api-Version", "<replo-api-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"items\": [\n {\n \"orderItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quantity\": 123\n }\n ],\n \"shippingPackageId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"weightGrams\": 123,\n \"options\": {\n \"signature\": \"none\",\n \"insuranceAmount\": null,\n \"saturdayDelivery\": false\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replo.app/v1/orders/{orderId}/label-rates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Replo-Api-Version"] = '<replo-api-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"items\": [\n {\n \"orderItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quantity\": 123\n }\n ],\n \"shippingPackageId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"weightGrams\": 123,\n \"options\": {\n \"signature\": \"none\",\n \"insuranceAmount\": null,\n \"saturdayDelivery\": false\n }\n}"
response = http.request(request)
puts response.read_body{
"object": "label_rates",
"shipmentId": "<string>",
"data": [
{
"id": "<string>",
"carrier": "<string>",
"service": "<string>",
"name": "<string>",
"amount": 123,
"currencyCode": "<string>",
"deliveryDays": 123,
"estimatedDeliveryAt": "<string>",
"isBuyerChoice": true
}
],
"messages": [
"<string>"
],
"needsCustoms": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"issues": [
{
"param": "<string>",
"message": "<string>"
}
]
}
}Authorizations
Headers
Body
application/json
Response
Get label rates for an order